Unit tafh1c_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, AFH1C_p;

function tafh1c: String;

implementation

function tafh1c: String;
var
N,_i,IERR :Integer;
const
A :Array [0..9] of Complex = ( ( re:1.0; im:0.0 ),( re:1.0; im:1.0 ),( re:3.0; 
im:0.0 ),( re:2.0; im:1.0 ),( re:5.0; im:0.0 ),( 
re:11.0; im:0.0 ),( re:3.0; im:1.0 ),( re:7.0; 
im:-1.0 ),( re:17.0; im:-1.0 ),( re:31.0; im: 0.0 
) );
begin
Result := '';  {   }
N := 4;
Result := Result + #$0D#$0A;
for _i:=0 to 9 do
 begin
  Result := Result + Format('%20.16f %20.16f ',[A[_i].re,A[_i].im]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
AFH1C(A,N,IERR);
Result := Result + #$0D#$0A;
for _i:=0 to 9 do
 begin
  Result := Result + Format('%20.16f %20.16f ',[A[_i].re,A[_i].im]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tafh1c',Result);  {     tafh1c.res }
exit;
end;

end.
